Package com.macrofocus.high_d.table

# Class ShowFilteredDataFrame<R,C,V>

java.lang.Object
com.macrofocus.molap.dataframe.AbstractDataFrame<R,C,V>
com.macrofocus.molap.dataframe.AbstractMutableDataFrame<R,C,V>
com.macrofocus.molap.dataframe.ReMappedDataFrame<R,C,V>
com.macrofocus.high_d.table.ShowFilteredDataFrame<R,C,V>

All Implemented Interfaces:
  `com.macrofocus.molap.dataframe.DataFrame<R,C,V>`, `com.macrofocus.molap.dataframe.MutableDataFrame<R,C,V>`

public class ShowFilteredDataFrame<R,C,V> extends com.macrofocus.molap.dataframe.ReMappedDataFrame<R,C,V>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.macrofocus.molap.dataframe.AbstractDataFrame

  `com.macrofocus.molap.dataframe.AbstractDataFrame.ColumnSeries`

- ## Field Summary

  ### Fields inherited from class com.macrofocus.molap.dataframe.ReMappedDataFrame

  `dataFrame`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ShowFilteredDataFrame(com.macrofocus.molap.dataframe.DataFrame<R,C,V> filteredDataFrame, com.macrofocus.molap.dataframe.DataFrame<R,C,V> completeDataFrame, MutableProperty<Boolean> showFiltered)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `com.macrofocus.molap.dataframe.DataFrame<R,C,V>`
  `getCompleteDataFrame()`
  `com.macrofocus.molap.dataframe.DataFrame<R,C,V>`
  `getFilteredDataFrame()`
  `MutableProperty<Boolean>`
  `getShowFiltered()`
  `void`
  `setShowFiltered(MutableProperty<Boolean> showFiltered)`

  ### Methods inherited from class com.macrofocus.molap.dataframe.ReMappedDataFrame

  `getColumnClass, getColumnIndex, getOriginalDataFrame, getRow, getRowClass, getRowIndex, getValueAt, invalidate, join, originalDataFrameChanged, scheduleUpdate, setDataFrame, setRecipe, setValueAt, updateImmediatelly`

  ### Methods inherited from class com.macrofocus.molap.dataframe.AbstractMutableDataFrame

  `reindexRowsUsingColumn, reindexRowsUsingColumns`

  ### Methods inherited from class com.macrofocus.molap.dataframe.AbstractDataFrame

  `addDataFrameListener, addWeakDataFrameListener, aggregate, aggregate, append, appendAndReindex, benchmark, columns, filter, getCentroid, getColumn, getColumnAddress, getColumnCount, getColumnKey, getColumnName, getConstant, getCount, getCountDistinct, getCountDistinctWithNull, getCube, getDataFrameAggregation, getDistributiveStatistics, getFirst, getFirstQuartile, getMax, getMean, getMedian, getMin, getNotNullSum, getPercentileQuartile, getRandom, getRowAddress, getRowCount, getRowKey, getStatistics, getStdDev, getSum, getThirdQuartile, getUnivariateStatistics, getVariance, getVarianceByPopulation, getWeightedMean, getWeightedSum, notifyDataFrameChanged, orderRows, print, print, printSchema, reindexColumns, reindexRows, reindexRowsDefault, reindexRowsUsingColumnDefault, remapColumns, removeColumns, removeDataFrameListener, removeDataFrameListeners, removeDuplicates, rows`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.macrofocus.molap.dataframe.DataFrame

  `addDataFrameListener, addWeakDataFrameListener, aggregate, aggregate, append, appendAndReindex, benchmark, columns, filter, getCentroid, getColumn, getColumnAddress, getColumnCount, getColumnKey, getColumnName, getConstant, getCount, getCountDistinct, getCountDistinctWithNull, getDataFrameAggregation, getDistributiveStatistics, getFirst, getFirstQuartile, getMax, getMean, getMedian, getMin, getPercentileQuartile, getRandom, getRowAddress, getRowCount, getRowKey, getStatistics, getStdDev, getSum, getThirdQuartile, getUnivariateStatistics, getVariance, getVarianceByPopulation, getWeightedMean, getWeightedSum, orderRows, print, print, printSchema, reindexColumns, reindexRows, reindexRowsDefault, reindexRowsUsingColumnDefault, remapColumns, removeColumns, removeDataFrameListener, removeDataFrameListeners, removeDuplicates, rows`

  ### Methods inherited from interface com.macrofocus.molap.dataframe.MutableDataFrame

  `reindexRowsUsingColumn, reindexRowsUsingColumns`

- ## Constructor Details

  - ### ShowFilteredDataFrame

    public ShowFilteredDataFrame(com.macrofocus.molap.dataframe.DataFrame<R,C,V> filteredDataFrame, com.macrofocus.molap.dataframe.DataFrame<R,C,V> completeDataFrame, MutableProperty<Boolean> showFiltered)

- ## Method Details

  - ### setShowFiltered

    public void setShowFiltered(MutableProperty<Boolean> showFiltered)

  - ### getShowFiltered

    public MutableProperty<Boolean> getShowFiltered()

  - ### getFilteredDataFrame

    public com.macrofocus.molap.dataframe.DataFrame<R,C,V> getFilteredDataFrame()

  - ### getCompleteDataFrame

    public com.macrofocus.molap.dataframe.DataFrame<R,C,V> getCompleteDataFrame()